Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 622410 - app-crypt/johntheripper-1.7.9-r11 : keychain_fmt_plug.c:122:2: error: too few arguments to function ‘DES_set_key’
Summary: app-crypt/johntheripper-1.7.9-r11 : keychain_fmt_plug.c:122:2: error: too few...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Rick Farina (Zero_Chaos)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libressl-support
  Show dependency tree
 
Reported: 2017-06-21 19:06 UTC by Toralf Förster
Modified: 2019-03-03 08:08 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,20.21 KB, text/plain)
2017-06-21 19:06 UTC, Toralf Förster
Details
app-crypt:johntheripper-1.7.9-r11:20170621-190109.log (app-crypt:johntheripper-1.7.9-r11:20170621-190109.log,28.90 KB, text/plain)
2017-06-21 19:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,592.43 KB, text/plain)
2017-06-21 19:06 UTC, Toralf Förster
Details
environment (environment,111.90 KB, text/plain)
2017-06-21 19:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,67.40 KB, application/x-bzip)
2017-06-21 19:06 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,30.07 KB, application/x-bzip)
2017-06-21 19:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-06-21 19:06:25 UTC
  DES_set_key((C_Block *) key1, &ks1);
                        ^
keychain_fmt_plug.c:122:2: error: too few arguments to function ‘DES_set_key’
  DES_set_key((C_Block *) key1, &ks1);
  ^~~~~~~~~~~
In file included from keychain_fmt_plug.c:22:0:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: desktop-libressl_20170604-185115

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.4.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
Comment 1 Toralf Förster gentoo-dev 2017-06-21 19:06:28 UTC
Created attachment 477560 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-06-21 19:06:31 UTC
Created attachment 477562 [details]
app-crypt:johntheripper-1.7.9-r11:20170621-190109.log
Comment 3 Toralf Förster gentoo-dev 2017-06-21 19:06:34 UTC
Created attachment 477564 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-06-21 19:06:37 UTC
Created attachment 477566 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-06-21 19:06:40 UTC
Created attachment 477568 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-06-21 19:06:43 UTC
Created attachment 477570 [details]
temp.tbz2
Comment 7 pagorman 2019-03-03 08:08:08 UTC
emerge -v1 =app-crypt/johntheripper-1.8.0::gentoo --nodeps

installs properly with Libressl-2.8.3 - the jumbo patch seem to be what's doing it for 1.7.9-r6/11.